Get Project Secrets

Get Project Secrets
Get secrets accessible to the current user for a project

Returns secrets (both project-scoped and org-scoped) for the specified project if the user has PROJECT_ADMIN role. Returns only name and description of secrets.

Request
URI
GET
https://vcf-stls-wcp-pod13-137.lvn.broadcom.net/platform/api/secrets/project-secrets/{projectId}
COPY
Path Parameters
string
projectId
Required

The id of the project

Query Parameters
pageRequest
Required

pageRequest

string
apiVersion
Optional

The version of the API in yyyy-MM-dd format. For versioning information refer to /platform/api/about.

apiVersion example
2023-01-01

Authentication
This operation uses the following authentication methods.
Responses
200

'Success' with accessible secrets

Returns Page of type(s) */*
{
    "totalElements": 0,
    "totalPages": 0,
    "pageable": {
        "paged": false,
        "pageNumber": 0,
        "pageSize": 0,
        "offset": 0,
        "sort": {
            "sorted": false,
            "empty": false,
            "unsorted": false
        },
        "unpaged": false
    },
    "size": 0,
    "content": [
        {}
    ],
    "number": 0,
    "sort": {
        "sorted": false,
        "empty": false,
        "unsorted": false
    },
    "numberOfElements": 0,
    "first": false,
    "last": false,
    "empty": false
}

401

Unauthorized, the user is not authenticated

Operation doesn't return any data structure

403

Forbidden, the user lacks PROJECT_ADMIN role in the project

Operation doesn't return any data structure

404

Project not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/platform/api/secrets/project-secrets/{projectId}?pageRequest=v